Subject: bug#24622: 26.0.50; lisp-fill-paragraph broken

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Oct 2017 11:11:44 +0300

> From: Alex <[email-masked]>
> Date: Thu, 12 Oct 2017 20:23:01 -0600
> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> 
> > This commit
> >
> > commit 866e3c050fe64fee81f29a335a50a11b2562422e
> > Author: Lars Ingebrigtsen <[email-masked]>
> > Date:   Thu Apr 28 12:05:15 2016 +0200
> >
> >     Don't consider colons to be paragraphs starting chars in strings
> >
> >     * lisp/emacs-lisp/lisp-mode.el (lisp-fill-paragraph): Don't
> >     consider colons to start paragraphs in (doc) strings
> >     (bug#7751).
> >
> > breaks filling doc-strings of defcustoms.  As an example consider the
> > defcustom of ‘window-min-height’ in window.el:
> 
> I've included a diff below that appears to solve both bug#7751 and this
> one, though I can't guarantee that it doesn't blow something else up.
> Does anyone have any complaints?
> 
> In any case, I think this bug should be solved before 26.1 is released.

Since there were no more comments, please push to the release branch.

Thanks.